%define name w3perl
%define version 2.94
%define release 1mdk
%define htdocs /var/www/html/w3perl
%define cgi /var/www/cgi-bin/w3perl

Summary: Web logfile analyser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Networking/WWW
URL: http://www.w3perl.com/softs/
BuildRequires: perl 
Requires: perl , fly 
Buildarch: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot

%define _requires_exceptions perl(getopt.pl)\\|perl(timelocal.pl)\\|perl(ctime.pl)\\|perl(flush.pl)\\|/var/www/cgi-bin/w3perl/init.pl\\|/var/www/cgi-bin/w3perl/libw3perl.pl

%description
Web logfile analyser to get stats over your WWW server. Use the admin
interface to generate your configuration file with your browser at
http://localhost/w3perl/admin or edit manually the configuration file
available in /w3perl/config/ to customize your stats output. Default
installation is %{htdocs}

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
perl install.pl -r $RPM_BUILD_ROOT -i $RPM_BUILD_ROOT%{htdocs} -d $RPM_BUILD_ROOT%{cgi}

chmod 755 $RPM_BUILD_ROOT/var/www/html/w3perl/resources/admin/
chmod 755 $RPM_BUILD_ROOT/var/www/html/w3perl/config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{htdocs}
%{cgi}

%changelog
* Wed Feb 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.94-1mdk
- 2.94

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.92-2mdk
- remove some implicit requires

* Thu Jun 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.92-1mdk
- 2.92

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.91-1mdk
- 2.91

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.90-1mdk
- 2.90

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.89-2mdk
- rebuild

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.89-1mdk
- from Laurent Domisse <domisse@w3perl.com> :
	- Fix overwriting configuration file

* Tue Mar 05 2002 Laurent Domisse <domisse@w3perl.com>
- First RPM release

doc %{htdocs}/docs
config %{htdocs}/config

